Create an org group policy override

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/org_group_policy_overrideshttps://api.ap2.datadoghq.com/api/v2/org_group_policy_overrideshttps://api.datadoghq.eu/api/v2/org_group_policy_overrideshttps://api.ddog-gov.com/api/v2/org_group_policy_overrideshttps://api.us2.ddog-gov.com/api/v2/org_group_policy_overrideshttps://api.datadoghq.com/api/v2/org_group_policy_overrideshttps://api.us3.datadoghq.com/api/v2/org_group_policy_overrideshttps://api.us5.datadoghq.com/api/v2/org_group_policy_overrides

Overview

Create a new policy override for an organization within an org group. This endpoint requires the org_group_write permission.

Request

Body Data (required)

Expand All

Field

Type

Description

data [required]

object

Data for creating an org group policy override.

attributes [required]

object

Attributes for creating a policy override.

org_site [required]

string

The site of the organization.

org_uuid [required]

uuid

The UUID of the organization to grant the override.

relationships [required]

object

Relationships for creating a policy override.

org_group [required]

object

Relationship to a single org group.

data [required]

object

A reference to an org group.

id [required]

uuid

The ID of the org group.

type [required]

enum

Org groups resource type. Allowed enum values: org_groups

org_group_policy [required]

object

Relationship to a single org group policy.

data [required]

object

A reference to an org group policy.

id [required]

uuid

The ID of the policy.

type [required]

enum

Org group policies resource type. Allowed enum values: org_group_policies

type [required]

enum

Org group policy overrides resource type. Allowed enum values: org_group_policy_overrides

{
  "data": {
    "attributes": {
      "org_site": "us1",
      "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
    },
    "relationships": {
      "org_group": {
        "data": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          "type": "org_groups"
        }
      },
      "org_group_policy": {
        "data": {
          "id": "1a2b3c4d-5e6f-7890-abcd-ef0123456789",
          "type": "org_group_policies"
        }
      }
    },
    "type": "org_group_policy_overrides"
  }
}

Response

Created

Response containing a single org group policy override.

Expand All

Field

Type

Description

data [required]

object

An org group policy override resource.

attributes [required]

object

Attributes of an org group policy override.

content

object

The override content as key-value pairs.

created_at [required]

date-time

Timestamp when the override was created.

modified_at [required]

date-time

Timestamp when the override was last modified.

org_site [required]

string

The site of the organization that has the override.

org_uuid [required]

uuid

The UUID of the organization that has the override.

id [required]

uuid

The ID of the policy override.

relationships

object

Relationships of an org group policy override.

org_group

object

Relationship to a single org group.

data [required]

object

A reference to an org group.

id [required]

uuid

The ID of the org group.

type [required]

enum

Org groups resource type. Allowed enum values: org_groups

org_group_policy

object

Relationship to a single org group policy.

data [required]

object

A reference to an org group policy.

id [required]

uuid

The ID of the policy.

type [required]

enum

Org group policies resource type. Allowed enum values: org_group_policies

type [required]

enum

Org group policy overrides resource type. Allowed enum values: org_group_policy_overrides

{
  "data": {
    "attributes": {
      "content": {},
      "created_at": "2024-01-15T10:30:00Z",
      "modified_at": "2024-01-15T10:30:00Z",
      "org_site": "us1",
      "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
    },
    "id": "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
    "relationships": {
      "org_group": {
        "data": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          "type": "org_groups"
        }
      },
      "org_group_policy": {
        "data": {
          "id": "1a2b3c4d-5e6f-7890-abcd-ef0123456789",
          "type": "org_group_policies"
        }
      }
    },
    "type": "org_group_policy_overrides"
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Conflict

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/org_group_policy_overrides" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "org_site": "us1", "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901" }, "relationships": { "org_group": { "data": { "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789", "type": "org_groups" } }, "org_group_policy": { "data": { "id": "1a2b3c4d-5e6f-7890-abcd-ef0123456789", "type": "org_group_policies" } } }, "type": "org_group_policy_overrides" } } EOF
"""
Create an org group policy override returns "Created" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_groups_api import OrgGroupsApi
from datadog_api_client.v2.model.org_group_policy_override_create_attributes import (
    OrgGroupPolicyOverrideCreateAttributes,
)
from datadog_api_client.v2.model.org_group_policy_override_create_data import OrgGroupPolicyOverrideCreateData
from datadog_api_client.v2.model.org_group_policy_override_create_relationships import (
    OrgGroupPolicyOverrideCreateRelationships,
)
from datadog_api_client.v2.model.org_group_policy_override_create_request import OrgGroupPolicyOverrideCreateRequest
from datadog_api_client.v2.model.org_group_policy_override_type import OrgGroupPolicyOverrideType
from datadog_api_client.v2.model.org_group_policy_relationship_to_one import OrgGroupPolicyRelationshipToOne
from datadog_api_client.v2.model.org_group_policy_relationship_to_one_data import OrgGroupPolicyRelationshipToOneData
from datadog_api_client.v2.model.org_group_policy_type import OrgGroupPolicyType
from datadog_api_client.v2.model.org_group_relationship_to_one import OrgGroupRelationshipToOne
from datadog_api_client.v2.model.org_group_relationship_to_one_data import OrgGroupRelationshipToOneData
from datadog_api_client.v2.model.org_group_type import OrgGroupType
from uuid import UUID

body = OrgGroupPolicyOverrideCreateRequest(
    data=OrgGroupPolicyOverrideCreateData(
        attributes=OrgGroupPolicyOverrideCreateAttributes(
            org_site="us1",
            org_uuid=UUID("c3d4e5f6-a7b8-9012-cdef-012345678901"),
        ),
        relationships=OrgGroupPolicyOverrideCreateRelationships(
            org_group=OrgGroupRelationshipToOne(
                data=OrgGroupRelationshipToOneData(
                    id=UUID("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
                    type=OrgGroupType.ORG_GROUPS,
                ),
            ),
            org_group_policy=OrgGroupPolicyRelationshipToOne(
                data=OrgGroupPolicyRelationshipToOneData(
                    id=UUID("1a2b3c4d-5e6f-7890-abcd-ef0123456789"),
                    type=OrgGroupPolicyType.ORG_GROUP_POLICIES,
                ),
            ),
        ),
        type=OrgGroupPolicyOverrideType.ORG_GROUP_POLICY_OVERRIDES,
    ),
)

configuration = Configuration()
configuration.unstable_operations["create_org_group_policy_override"] = True
with ApiClient(configuration) as api_client:
    api_instance = OrgGroupsApi(api_client)
    response = api_instance.create_org_group_policy_override(body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Create an org group policy override returns "Created" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.create_org_group_policy_override".to_sym] = true
end
api_instance = DatadogAPIClient::V2::OrgGroupsAPI.new

body = DatadogAPIClient::V2::OrgGroupPolicyOverrideCreateRequest.new({
  data: DatadogAPIClient::V2::OrgGroupPolicyOverrideCreateData.new({
    attributes: DatadogAPIClient::V2::OrgGroupPolicyOverrideCreateAttributes.new({
      org_site: "us1",
      org_uuid: "c3d4e5f6-a7b8-9012-cdef-012345678901",
    }),
    relationships: DatadogAPIClient::V2::OrgGroupPolicyOverrideCreateRelationships.new({
      org_group: DatadogAPIClient::V2::OrgGroupRelationshipToOne.new({
        data: DatadogAPIClient::V2::OrgGroupRelationshipToOneData.new({
          id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          type: DatadogAPIClient::V2::OrgGroupType::ORG_GROUPS,
        }),
      }),
      org_group_policy: DatadogAPIClient::V2::OrgGroupPolicyRelationshipToOne.new({
        data: DatadogAPIClient::V2::OrgGroupPolicyRelationshipToOneData.new({
          id: "1a2b3c4d-5e6f-7890-abcd-ef0123456789",
          type: DatadogAPIClient::V2::OrgGroupPolicyType::ORG_GROUP_POLICIES,
        }),
      }),
    }),
    type: DatadogAPIClient::V2::OrgGroupPolicyOverrideType::ORG_GROUP_POLICY_OVERRIDES,
  }),
})
p api_instance.create_org_group_policy_override(body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Create an org group policy override returns "Created" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.OrgGroupPolicyOverrideCreateRequest{
		Data: datadogV2.OrgGroupPolicyOverrideCreateData{
			Attributes: datadogV2.OrgGroupPolicyOverrideCreateAttributes{
				OrgSite: "us1",
				OrgUuid: uuid.MustParse("c3d4e5f6-a7b8-9012-cdef-012345678901"),
			},
			Relationships: datadogV2.OrgGroupPolicyOverrideCreateRelationships{
				OrgGroup: datadogV2.OrgGroupRelationshipToOne{
					Data: datadogV2.OrgGroupRelationshipToOneData{
						Id:   uuid.MustParse("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
						Type: datadogV2.ORGGROUPTYPE_ORG_GROUPS,
					},
				},
				OrgGroupPolicy: datadogV2.OrgGroupPolicyRelationshipToOne{
					Data: datadogV2.OrgGroupPolicyRelationshipToOneData{
						Id:   uuid.MustParse("1a2b3c4d-5e6f-7890-abcd-ef0123456789"),
						Type: datadogV2.ORGGROUPPOLICYTYPE_ORG_GROUP_POLICIES,
					},
				},
			},
			Type: datadogV2.ORGGROUPPOLICYOVERRIDETYPE_ORG_GROUP_POLICY_OVERRIDES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.CreateOrgGroupPolicyOverride", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgGroupsApi(apiClient)
	resp, r, err := api.CreateOrgGroupPolicyOverride(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgGroupsApi.CreateOrgGroupPolicyOverride`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgGroupsApi.CreateOrgGroupPolicyOverride`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Create an org group policy override returns "Created" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgGroupsApi;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideCreateAttributes;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideCreateData;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideCreateRelationships;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideCreateRequest;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideResponse;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideType;
import com.datadog.api.client.v2.model.OrgGroupPolicyRelationshipToOne;
import com.datadog.api.client.v2.model.OrgGroupPolicyRelationshipToOneData;
import com.datadog.api.client.v2.model.OrgGroupPolicyType;
import com.datadog.api.client.v2.model.OrgGroupRelationshipToOne;
import com.datadog.api.client.v2.model.OrgGroupRelationshipToOneData;
import com.datadog.api.client.v2.model.OrgGroupType;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.createOrgGroupPolicyOverride", true);
    OrgGroupsApi apiInstance = new OrgGroupsApi(defaultClient);

    OrgGroupPolicyOverrideCreateRequest body =
        new OrgGroupPolicyOverrideCreateRequest()
            .data(
                new OrgGroupPolicyOverrideCreateData()
                    .attributes(
                        new OrgGroupPolicyOverrideCreateAttributes()
                            .orgSite("us1")
                            .orgUuid(UUID.fromString("c3d4e5f6-a7b8-9012-cdef-012345678901")))
                    .relationships(
                        new OrgGroupPolicyOverrideCreateRelationships()
                            .orgGroup(
                                new OrgGroupRelationshipToOne()
                                    .data(
                                        new OrgGroupRelationshipToOneData()
                                            .id(
                                                UUID.fromString(
                                                    "a1b2c3d4-e5f6-7890-abcd-ef0123456789"))
                                            .type(OrgGroupType.ORG_GROUPS)))
                            .orgGroupPolicy(
                                new OrgGroupPolicyRelationshipToOne()
                                    .data(
                                        new OrgGroupPolicyRelationshipToOneData()
                                            .id(
                                                UUID.fromString(
                                                    "1a2b3c4d-5e6f-7890-abcd-ef0123456789"))
                                            .type(OrgGroupPolicyType.ORG_GROUP_POLICIES))))
                    .type(OrgGroupPolicyOverrideType.ORG_GROUP_POLICY_OVERRIDES));

    try {
      OrgGroupPolicyOverrideResponse result = apiInstance.createOrgGroupPolicyOverride(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OrgGroupsApi#createOrgGroupPolicyOverride");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Create an org group policy override returns "Created" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_groups::OrgGroupsAPI;
use datadog_api_client::datadogV2::model::OrgGroupPolicyOverrideCreateAttributes;
use datadog_api_client::datadogV2::model::OrgGroupPolicyOverrideCreateData;
use datadog_api_client::datadogV2::model::OrgGroupPolicyOverrideCreateRelationships;
use datadog_api_client::datadogV2::model::OrgGroupPolicyOverrideCreateRequest;
use datadog_api_client::datadogV2::model::OrgGroupPolicyOverrideType;
use datadog_api_client::datadogV2::model::OrgGroupPolicyRelationshipToOne;
use datadog_api_client::datadogV2::model::OrgGroupPolicyRelationshipToOneData;
use datadog_api_client::datadogV2::model::OrgGroupPolicyType;
use datadog_api_client::datadogV2::model::OrgGroupRelationshipToOne;
use datadog_api_client::datadogV2::model::OrgGroupRelationshipToOneData;
use datadog_api_client::datadogV2::model::OrgGroupType;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let body = OrgGroupPolicyOverrideCreateRequest::new(OrgGroupPolicyOverrideCreateData::new(
        OrgGroupPolicyOverrideCreateAttributes::new(
            "us1".to_string(),
            Uuid::parse_str("c3d4e5f6-a7b8-9012-cdef-012345678901").expect("invalid UUID"),
        ),
        OrgGroupPolicyOverrideCreateRelationships::new(
            OrgGroupRelationshipToOne::new(OrgGroupRelationshipToOneData::new(
                Uuid::parse_str("a1b2c3d4-e5f6-7890-abcd-ef0123456789").expect("invalid UUID"),
                OrgGroupType::ORG_GROUPS,
            )),
            OrgGroupPolicyRelationshipToOne::new(OrgGroupPolicyRelationshipToOneData::new(
                Uuid::parse_str("1a2b3c4d-5e6f-7890-abcd-ef0123456789").expect("invalid UUID"),
                OrgGroupPolicyType::ORG_GROUP_POLICIES,
            )),
        ),
        OrgGroupPolicyOverrideType::ORG_GROUP_POLICY_OVERRIDES,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.CreateOrgGroupPolicyOverride", true);
    let api = OrgGroupsAPI::with_config(configuration);
    let resp = api.create_org_group_policy_override(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Create an org group policy override returns "Created" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.createOrgGroupPolicyOverride"] = true;
const apiInstance = new v2.OrgGroupsApi(configuration);

const params: v2.OrgGroupsApiCreateOrgGroupPolicyOverrideRequest = {
  body: {
    data: {
      attributes: {
        orgSite: "us1",
        orgUuid: "c3d4e5f6-a7b8-9012-cdef-012345678901",
      },
      relationships: {
        orgGroup: {
          data: {
            id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
            type: "org_groups",
          },
        },
        orgGroupPolicy: {
          data: {
            id: "1a2b3c4d-5e6f-7890-abcd-ef0123456789",
            type: "org_group_policies",
          },
        },
      },
      type: "org_group_policy_overrides",
    },
  },
};

apiInstance
  .createOrgGroupPolicyOverride(params)
  .then((data: v2.OrgGroupPolicyOverrideResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"